import 'dart:async';

import 'package:flutter/services.dart';

class OdbConnect {
  static const MethodChannel _channel = MethodChannel('obd_connect');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  // 启动 OBD 连接
  static Future<String> get startOBD async {
    final String startOBDMesg = await _channel.invokeMethod('startOBD');
    return startOBDMesg;
  }

  static Future<String> get tripRecord async {
    final String tripRecords = await _channel.invokeMethod('getTripRecord');
    return tripRecords;
  }

  static Future<String> get getSpeed async {
    final String tripRecords = await _channel.invokeMethod('getSpeed');
    return tripRecords;
  }

  static Future<String> get getRPM async {
    final String data = await _channel.invokeMethod('getRPM');
    return data;
  }

  static Future<String> get getAirIntakeTemperature async {
    final String data = await _channel.invokeMethod('getAirIntakeTemperature');
    return data;
  }

  static Future<String> get getEngineLoad async {
    final String data = await _channel.invokeMethod('getEngineLoad');
    return data;
  }

  static Future<String> get getModuleVoltage async {
    final String data = await _channel.invokeMethod('getModuleVoltage');
    return data;
  }

  static Future<String> get getDistanceMILOn async {
    final String data = await _channel.invokeMethod('getDistanceMILOn');
    return data;
  }

  static Future<String> get getTroubleCode async {
    final String data = await _channel.invokeMethod('getTroubleCode');
    return data;
  }

  static Future<String> get getPermanentTroubleCode async {
    final String data = await _channel.invokeMethod('getPermanentTroubleCode');
    return data;
  }

  static Future<String> get getPendingTroubleCode async {
    final String data = await _channel.invokeMethod('getPendingTroubleCode');
    return data;
  }

  static Future<String> get getAirFuelRatio async {
    final String data = await _channel.invokeMethod('getAirFuelRatio');
    return data;
  }

  static Future<String> get getFuelPressure async {
    final String data = await _channel.invokeMethod('getFuelPressure');
    return data;
  }

  static Future<String> get getGasCost async {
    final String data = await _channel.invokeMethod('getGasCost');
    return data;
  }

  static Future<String> get getVINumber async {
    final String data = await _channel.invokeMethod('getVINumber');
    return data;
  }

  static Future<String> get getOilTemperature async {
    final String data = await _channel.invokeMethod('getOilTemperature');
    return data;
  }

  static Future<String> get getEngineRuntime async {
    final String data = await _channel.invokeMethod('getEngineRuntime');
    return data;
  }

  static Future<String> get getTimingAdvance async {
    final String data = await _channel.invokeMethod('getTimingAdvance');
    return data;
  }
}
